 /*
  * Khoros: $Id$
  */

 /*
  * $Log$
  */

/*
 *---------------------------------------------------------------------
 *            Copyright 1990 University of New Mexico
 * 
 * Permission to copy and modify this software and its documen- 
 * tation only for internal use in your organization is hereby 
 * granted, provided that this notice is retained thereon and 
 * on all copies.  UNM makes no representations as too the sui- 
 * tability and operability of this software for any purpose. 
 * It is provided 'as is' without express or implied warranty. 
 *  
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, 
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT- 
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL, 
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT- 
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER 
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS 
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER- 
 * FORMANCE OF THIS SOFTWARE. 
 *  
 * No other rights, including for example, the right to redis- 
 * tribute this software and its documentation or the right to 
 * prepare derivative works, are granted unless specifically 
 * provided in a separate license agreement. 
 * 
 *---------------------------------------------------------------------
 */

/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name:  form_info.h
 >>>>
 >>>>      Program Desc:  structure in which values extracted
 >>>>                      from the graphical user interface are stored
 >>>>
 >>>>            Author:  automatically generated by conductor
 >>>>
 >>>> Date Last Updated:  Thu Oct 24 22:51:47 1991
 >>>>
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

typedef struct {

        char *in_image;
        int in_image_index;
        int in_image_selected;

        char *out_image;
        int out_image_index;
        int out_image_selected;

        char *in_legend;
        int in_legend_index;
        int in_legend_selected;

        char *out_legend;
        int out_legend_index;
        int out_legend_selected;

        char *out_image_cmap;
        int out_image_cmap_index;
        int out_image_cmap_selected;

        char *out_cmap;
        int out_cmap_index;
        int out_cmap_selected;

        int quit;

} files_subform_files;

typedef struct {

        files_subform_files  *files;
        int files_selected;
        int files_index;
        int files_gb_index;

}  master_files_subform;


typedef struct {

        int norm_type;
        int norm_type_index;
        int norm_type_selected;

        int norm_time;
        int norm_time_index;
        int norm_time_selected;

        int norm_method;
        int norm_method_index;
        int norm_method_selected;

        int red;
        int red_index;

        int green;
        int green_index;

        int blue;
        int blue_index;

        char *red_func;
        int red_func_index;
        int red_func_selected;

        char *green_func;
        int green_func_index;
        int green_func_selected;

        char *blue_func;
        int blue_func_index;
        int blue_func_selected;

        char *file_view;
        int file_view_index;
        int file_view_selected;

        int quit;

} disp_subform_disp;

typedef struct {

        disp_subform_disp  *disp;
        int disp_selected;
        int disp_index;
        int disp_gb_index;

}  master_disp_subform;


typedef struct {

        Widget class_workspace;
        int class_workspace_index;

        int quit;

} class_subform_class;

typedef struct {

        class_subform_class  *class;
        int class_selected;
        int class_index;
        int class_gb_index;

}  master_class_subform;


typedef struct {

        int color_model_val;
        int color_model_index;
        int color_model_selected;

        int delete;
        int delete_index;

        int empty;
        int empty_index;

        int show;
        int show_index;

        int hide;
        int hide_index;

        int catch_all;
        int catch_all_index;

        int transfer;
        int transfer_index;

        Widget legend_workspace;
        int legend_workspace_index;

        int quit;

} legend_subform_legend;

typedef struct {

        legend_subform_legend  *legend;
        int legend_selected;
        int legend_index;
        int legend_gb_index;

}  master_legend_subform;


typedef struct {

        float zoomfactor;
        int zoomfactor_index;
        int zoomfactor_selected;

        int do_zoom;
        int do_zoom_index;

        Widget zoom_workspace;
        int zoom_workspace_index;

        int quit;

} zoom_subform_zoom;

typedef struct {

        zoom_subform_zoom  *zoom;
        int zoom_selected;
        int zoom_index;
        int zoom_gb_index;

}  master_zoom_subform;


typedef struct {

        int x_column;
        int x_column_index;

        int y_column;
        int y_column_index;

        char *x_func;
        int x_func_index;
        int x_func_selected;

        char *y_func;
        int y_func_index;
        int y_func_selected;

        int prop;
        int prop_index;
        int prop_selected;

        int operation;
        int operation_index;
        int operation_selected;

        float zoomfactor;
        int zoomfactor_index;
        int zoomfactor_selected;

        int select;
        int select_index;

        int set;
        int set_index;

        Widget plot_workspace;
        int plot_workspace_index;

        int quit;

} scatter_plot_scatter;

typedef struct {

        scatter_plot_scatter  *scatter;
        int scatter_selected;
        int scatter_index;
        int scatter_gb_index;

}  master_scatter_plot;


typedef struct { 

        int image_workspace_index;

        Widget image_workspace;

        master_files_subform  *files_subform;
        int files_subform_selected;
        int files_subform_index;
        int files_subform_sfb_index;

        master_disp_subform  *disp_subform;
        int disp_subform_selected;
        int disp_subform_index;
        int disp_subform_sfb_index;

        master_class_subform  *class_subform;
        int class_subform_selected;
        int class_subform_index;
        int class_subform_sfb_index;

        master_legend_subform  *legend_subform;
        int legend_subform_selected;
        int legend_subform_index;
        int legend_subform_sfb_index;

        master_zoom_subform  *zoom_subform;
        int zoom_subform_selected;
        int zoom_subform_index;
        int zoom_subform_sfb_index;

        master_scatter_plot  *scatter_plot;
        int scatter_plot_selected;
        int scatter_plot_index;
        int scatter_plot_sfb_index;

        int quit;


 }  master; 

